%{?scl:%scl_package dbus-api-service}
%{!?scl:%global pkg_name %{name}}

%global app_name  dbus_api_service
%global app_dir  /opt/%{app_name}

Summary: DBus API Service
Name: dbus-api-service
Version: 1.0.1
Release: 5%{?dist}
Group: group
License: MIT
URL: https://github.com/ManageIQ/dbus_api_service
Source0: %{name}-%{version}.tar.gz
Requires: %{?scl_prefix}ruby(release)
Requires: %{?scl_prefix}ruby(release)
Requires: %{?scl_prefix}rubygem-bundler
BuildRequires: %{?scl_prefix}rubygems-devel

Requires: %{?scl_prefix}rubygem-json = 2.1.0

%description
An application to get user attributes and groups via the DBus API

%prep
%setup -q

%install
%{__mkdir} -p %{buildroot}%{app_dir}
%{__cp} -r . %{buildroot}%{app_dir}

%files
%defattr(-,root,root,-)
%{app_dir}

%changelog
* Tue Jan 15 2019 Satoe Imaishi <simaishi@redhat.com> - 1.0.1-5
- Updated rack gem to 2.0.6

* Mon Jun 11 2018 Satoe Imaishi <simaishi@redhat.com> - 1.0.1-4
- Build for cfme 5.10 with non-SCL ruby

* Tue Apr 03 2018 Satoe Imaishi <simaishi@redhat.com> - 1.0.1-3
- Update json to 2.1.0

* Mon Oct 30 2017 Satoe Imaishi <simaishi@redhat.com> - 1.0.1-2
- Exclude gems needed for test

* Mon Oct 30 2017 Satoe Imaishi <simaishi@redhat.com> - 1.0.1-1
- Update to 1.0.1

* Mon Oct 16 2017 Satoe Imaishi <simaishi@redhat.com> - 1.0.0-1
- Initial build
